package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Fxt;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface FxtMapper {

    int insert(Fxt record);

    int insertSelective(Fxt record);

    int updateByPrimaryKeySelective(Fxt record);

    int updateByPrimaryKey(Fxt record);

    int deleteByPrimaryKey(Fxt record);

    int deleteByIds(Collection<Object> collection);

    //修改语句
    int dyncUpdate(Map<String, Object> dyncMap);

    Fxt selectByPrimaryKey(Fxt record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Fxt> dyncRead(Map<String, Object> dyncMap);

}